Skip to content
You are reading Hyperledger Besu development version documentation and some displayed features may not be available in the stable release. You can switch to stable version using the version box at screen bottom.

Updated on November 12, 2020

Specify the permissioning contract interface version

Use the --permissions-nodes-contract-version command line option to specify the version of the permissioning contract interface. The default is 1.

Specify the contract interface version that maps to the version of the Enterprise Ethereum Alliance Client Specification the contract interface implements.

EEA Client Specification Contract interface
Version 5 1
Version 6 2

The permissioning contracts in the ConsenSys/permissioning-smart-contracts repository implement the version 1 contract interface.

Questions or feedback? You can discuss issues and obtain free support on Hyperledger Besu chat channel.
For Hyperledger Besu community support, contact the mailing list besu@lists.hyperledger.org